import { FC } from "react";
import { ColDef, RowDef, Size, TableSortModel } from "./types";
export interface GridPaginationState {
    pageSizeOptions: number[];
    pageSizeIndex: number;
    setPageSizeIndex: (pageSizeIndex: number) => void;
    currentPage: number;
    setCurrentPage: (pageNum: number) => void;
    maxPageButtons: number;
    componentSize?: Size;
}
export interface GridProps {
    rows: RowDef[];
    cols: ColDef[];
    pagination?: GridPaginationState;
    sortModel?: TableSortModel;
}
declare const Grid: FC<GridProps>;
export default Grid;
